cross_product(3)

NAME
cross_product, cross_product_f - Calculates the cross product. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void cross_product(fixed x1, y1, z1, x2, y2, z2, *xout, *yout, *zout); void cross_product_f(float x1, y1, z1, x2, y2, z2, *xout, *yout, *zout);

DESCRIPTION
Calculates the cross product (x1, y1, z1) x (x2, y2, z2), storing the result in (*xout, *yout, *zout). The cross product is perpendicular to both of the input vectors, so it can be used to generate polygon normals.

SEE ALSO
dot_product(3), polygon_z_normal(3), normalize_vector(3), exstars(3)